MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::LocalLBGBuild< T > Class Template Reference
Inheritance diagram for sc::LocalLBGBuild< T >:
[legend]
Collaboration diagram for sc::LocalLBGBuild< T >:
[legend]

## Public Member Functions
| LocalLBGBuild (T &t, const Ref< TwoBodyInt > &tbi, const Ref< Integral > &ints, const Ref< GaussianBasisSet > &bs, const Ref< MessageGrp > &g, signed char *pm)
void | build_gmat (double accuracy)
Public Member Functions inherited from sc::GBuild< T >
| GBuild (T &t)
Public Member Functions inherited from sc::Thread
virtual void | run ()=0
| This is called with the Thread is run from a ThreadGrp.

## Protected Attributes
Ref< MessageGrp > | grp_
Ref< TwoBodyInt > | tbi_
Ref< Integral > | integral_
Ref< GaussianBasisSet > | gbs_
signed char * | pmax
Protected Attributes inherited from sc::GBuild< T >
T & | contribution
double | accuracy_

## Additional Inherited Members
Static Public Member Functions inherited from sc::Thread
static void * | run_Thread_run (void *thread)

The documentation for this class was generated from the following file:

- lbgbuild.h